{
  "info": {
    "properties": {
      "messageId": {
        "type": "long"
      },
      "messageType": {
        "type": "long"
      },
      "sendUserId": {
        "type": "long"
      },
      "sendUserName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "sendTimeLong": {
        "type": "long"
      },
      "recvUserId": {
        "type": "long"
      },
      "recvUserName": {
        "type": "text",
        "index": "not_analyzed",
        "fields": {
          "raw": {
            "type":  "keyword"
          }
        }
      },
      "expireFlag": {
        "type": "long"
      },
      "expireTime": {
        "type": "long"
      },
      "readStatus": {
        "type": "long"
      },
      "textId": {
        "type": "long"
      }
    }
  }
}